Valor total do estoque
curl --request GET \
--url https://api.example.com/inventory/dashboard/stock-valueimport requests
url = "https://api.example.com/inventory/dashboard/stock-value"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inventory/dashboard/stock-value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalValue": 250430.50,
"topValuableProducts": [
{
"productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
"sku": "NOTE-GAMER",
"name": "Notebook Gamer",
"quantity": 10,
"totalProductValue": 55000.00
}
]
}
Inventory Dashboard
Valor Total do Estoque
Calcula o valor financeiro alocado no estoque atual, segmentando pelo custo e oferecendo uma listagem do impacto financeiro (Top Produtos).
GET
/
inventory
/
dashboard
/
stock-value
Valor total do estoque
Query Parameters
Opcional. Se informado, contabiliza o valor investido presencial apenas naquele depósito.
Response
{
"totalValue": 250430.50,
"topValuableProducts": [
{
"productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
"sku": "NOTE-GAMER",
"name": "Notebook Gamer",
"quantity": 10,
"totalProductValue": 55000.00
}
]
}
Query Parameters
Response
200
Valor do estoque (top produtos e total)
⌘I